Subject: Re: [net-next v3 1/2] devlink: Support setting max_io_eqs

From: Jakub Kicinski <[email-masked]>
Date: Thu, 4 Apr 2024 19:21:07 -0700

On Wed, 3 Apr 2024 20:41:32 +0300 Parav Pandit wrote:
> Many devices send event notifications for the IO queues,
> such as tx and rx queues, through event queues.
> 
> Enable a privileged owner, such as a hypervisor PF, to set the number
> of IO event queues for the VF and SF during the provisioning stage.

What's the relationship between EQ and queue pairs and IRQs?
The next patch says "maximum IO event queues which are typically
used to derive the maximum and default number of net device channels"
It may not be obvious to non-mlx5 experts, I think it needs to be better
documented.